## AgsLv2UridManager

AgsLv2UridManager — LV2 urid manager

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_LV2_URID_MANAGER_GET_OBJ_MUTEX()
gboolean | ags_lv2_urid_manager_insert ()
gboolean | ags_lv2_urid_manager_remove ()
GValue * | ags_lv2_urid_manager_lookup ()
void | ags_lv2_urid_manager_load_default ()
uint32_t | ags_lv2_urid_manager_map ()
const char * | ags_lv2_urid_manager_unmap ()
AgsLv2UridManager * | ags_lv2_urid_manager_get_instance ()
AgsLv2UridManager * | ags_lv2_urid_manager_new ()

## Object Hierarchy

        GObject
        ╰── AgsLv2UridManager

## Includes

    #include <ags/plugin/ags_lv2_urid_manager.h>

## Description

The AgsLv2UridManager keeps your urid in a hash table where you can lookup your ids.

## Functions

### AGS_LV2_URID_MANAGER_GET_OBJ_MUTEX()

    #define AGS_LV2_URID_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsLv2UridManager *) obj)->obj_mutex))

### ags_lv2_urid_manager_insert ()

    gboolean
    ags_lv2_urid_manager_insert (AgsLv2UridManager *lv2_urid_manager,
                                 gchar *uri,
                                 GValue *id);

Inserts a id into hash associated with `urid` .

#### Parameters

lv2_urid_manager | the AgsLv2UridManager |
uri | the object as key |
id | the id to insert |

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.0.0

### ags_lv2_urid_manager_remove ()

    gboolean
    ags_lv2_urid_manager_remove (AgsLv2UridManager *lv2_urid_manager,
                                 gchar *uri);

Removes an entry associated with `urid` .

#### Parameters

lv2_urid_manager | the AgsLv2UridManager |
uri | the object to remove |

#### Returns

`TRUE` as successfully removed, otherwise `FALSE`

Since: 3.0.0

### ags_lv2_urid_manager_lookup ()

    GValue *
    ags_lv2_urid_manager_lookup (AgsLv2UridManager *lv2_urid_manager,
                                 gchar *uri);

Lookup a id associated with `urid` in `lv2_urid_manager`

#### Parameters

lv2_urid_manager | the AgsLv2UridManager |
uri | the object to lookup |

#### Returns

the id on success, else the newly created id

Since: 3.0.0

### ags_lv2_urid_manager_load_default ()

    void
    ags_lv2_urid_manager_load_default (AgsLv2UridManager *lv2_urid_manager);

### ags_lv2_urid_manager_map ()

    uint32_t
    ags_lv2_urid_manager_map (LV2_URID_Map_Handle handle,
                              char *uri);

### ags_lv2_urid_manager_unmap ()

    const char *
    ags_lv2_urid_manager_unmap (LV2_URID_Map_Handle handle,
                                uint32_t urid);

### ags_lv2_urid_manager_get_instance ()

    AgsLv2UridManager *
    ags_lv2_urid_manager_get_instance ();

Singleton function to optain the id manager instance.

#### Returns

an instance of AgsLv2UridManager.

[transfer none]

Since: 3.0.0

### ags_lv2_urid_manager_new ()

    AgsLv2UridManager *
    ags_lv2_urid_manager_new ();

Instantiate a id manager.

#### Returns

a new AgsLv2UridManager

Since: 3.0.0